Bug 1405630 - resync with ceph-ansible upstream v2.1 release
Summary: resync with ceph-ansible upstream v2.1 release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-ansible
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2
Assignee: Ken Dreyer (Red Hat)
QA Contact: Tejas
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1400967 1405985 1406342 1412948
TreeView+ depends on / blocked
 
Reported: 2016-12-16 21:44 UTC by seb
Modified: 2017-03-14 15:52 UTC (History)
13 users (show)

Fixed In Version: ceph-ansible-2.1.9-1.el7scon
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
.ceph-ansible rebased to 2.1.9 The `ceph-ansible` package has been updated to the upstream version 2.1.9, which provides several important bug fixes to the installation process. In addition, the new version provides compatibility with the Ansible automation application 2.2.1.0.
Clone Of:
Environment:
Last Closed: 2017-03-14 15:52:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0515 normal SHIPPED_LIVE Important: ansible and ceph-ansible security, bug fix, and enhancement update 2017-04-18 21:12:31 UTC
Red Hat Bugzilla 1406556 None None None Never

Internal Links: 1406556

Description seb 2016-12-16 21:44:20 UTC
Description of problem:

ceph-ansible upstream just released 2.1.0 version. We need to resync the current ceph-ansible with this version.
QE needs to test and validate this new version, just like they did prior to release 2.1. If this is a success we can resync 2.1 during the next downstream resync.

Ken, could you please build the new package from https://github.com/ceph/ceph-ansible/releases/tag/v2.1.0

Thanks!

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Ken Dreyer (Red Hat) 2017-01-05 22:26:41 UTC
We will need v2.2.1 with https://github.com/ceph/ceph-ansible/pull/1217 cherry-picked.

Comment 6 Tejas 2017-01-06 11:35:09 UTC
Ken,

   Is this the final version of ceph-ansible that we will be using for 2.2?

Thanks,
Tejas

Comment 7 Ken Dreyer (Red Hat) 2017-01-09 21:05:35 UTC
(In reply to Tejas from comment #6)
>    Is this the final version of ceph-ansible that we will be using for 2.2?

Yes, as of ceph-ansible v2.1.1.

...unless you find bugs and we have to ship newer versions.

Comment 8 Shinobu KINJO 2017-01-09 23:58:56 UTC
Please make sure that updated package fix the following BZs which cause:

 # error while evaluating conditional: raw_multi_journal and item.0.rc != 0

  * https://bugzilla.redhat.com/show_bug.cgi?id=1400967
  * https://bugzilla.redhat.com/show_bug.cgi?id=1405370

Comment 9 Harish NV Rao 2017-01-10 09:16:51 UTC
(In reply to Shinobu KINJO from comment #8)
> Please make sure that updated package fix the following BZs which cause:
> 
>  # error while evaluating conditional: raw_multi_journal and item.0.rc != 0
> 
>   * https://bugzilla.redhat.com/show_bug.cgi?id=1400967
>   * https://bugzilla.redhat.com/show_bug.cgi?id=1405370

Ken, what is the plan on fixing above mentioned two bugs in 2.1.1?

Comment 19 Ken Dreyer (Red Hat) 2017-01-24 16:39:03 UTC
To fix more issues (eg bug 1416010), we're going to update to ceph-ansible v2.1.4.

Comment 20 Ken Dreyer (Red Hat) 2017-01-31 20:24:58 UTC
We uncovered additional bugs in v2.1.4, so we're going to ship v2.1.5

Comment 22 Ken Dreyer (Red Hat) 2017-02-01 19:44:36 UTC
upstream's nightly ceph-installer integration tests uncovered an issue where ceph-installer breaks with ceph-ansible v2.1.5.

https://github.com/ceph/ceph-ansible/pull/1268 fixes this, and we are going to tag and build v2.1.6 with this change.

Comment 24 Ken Dreyer (Red Hat) 2017-02-08 16:08:22 UTC
We landed more bug fixes (rhbz#1419814, rhbz#1418980) in v2.1.7, and we'll ship that version.

Comment 28 Tejas 2017-02-20 10:47:11 UTC
We have completed our testing of ceph-ansible with build :
ceph-ansible-2.1.9-1.el7scon

Moving to Verified.

Comment 31 errata-xmlrpc 2017-03-14 15:52:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0515


Note You need to log in before you can comment on or make changes to this bug.